Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.report
Class ConfigurationResolveReport

    java.lang.Object
      fr.jayasoft.ivy.report.ConfigurationResolveReport

public class ConfigurationResolveReport
extends java.lang.Object

Author:
  x.hanin

Constructor Summary
`ConfigurationResolveReport(Ivy ivy, ModuleDescriptor md, java.lang.String conf, java.util.Date date, java.io.File cache)`

Method Summary
`void` | `addDependency(IvyNode node)`
`void` | `addDependency(IvyNode node, DownloadReport report)`
`int` | `getArtifactsNumber()`
`java.lang.String` | `getConfiguration()`
`java.util.Date` | `getDate()`
`IvyNode` | `getDependency(ModuleRevisionId mrid)`
`ArtifactDownloadReport[]` | `getDownloadedArtifactsReports()`
`IvyNode[]` | `getDownloadedNodes()`
`ArtifactDownloadReport[]` | `getDownloadReports(ModuleRevisionId mrid)`
`IvyNode[]` | `getEvictedNodes()`
`ArtifactDownloadReport[]` | `getFailedArtifactsReports()`
`Ivy` | `getIvy()`
`ModuleDescriptor` | `getModuleDescriptor()`
`java.util.List` | `getModuleIds()` gives all the modules ids concerned by this report, from the most dependent to the least one
`java.util.Set` | `getModuleRevisionIds()` Returns all non evicted and non error dependency mrids
`java.util.Collection` | `getNodes(ModuleId mid)`
`int` | `getNodesNumber()`
`IvyNode[]` | `getSearchedNodes()`
`IvyNode[]` | `getUnresolvedDependencies()`
`boolean` | `hasChanged()`
`boolean` | `hasError()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationResolveReport

    public ConfigurationResolveReport(Ivy ivy,
                                      ModuleDescriptor md,
                                      java.lang.String conf,
                                      java.util.Date date,
                                      java.io.File cache)

Method Detail

### hasChanged

    public boolean hasChanged()

### getModuleRevisionIds

    public java.util.Set getModuleRevisionIds()

  Returns all non evicted and non error dependency mrids

  Returns:
    all non evicted and non error dependency mrids

### addDependency

    public void addDependency(IvyNode node)

### addDependency

    public void addDependency(IvyNode node,
                              DownloadReport report)

### getConfiguration

    public java.lang.String getConfiguration()

### getDate

    public java.util.Date getDate()

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### getUnresolvedDependencies

    public IvyNode[] getUnresolvedDependencies()

### getEvictedNodes

    public IvyNode[] getEvictedNodes()

### getDownloadedNodes

    public IvyNode[] getDownloadedNodes()

### getSearchedNodes

    public IvyNode[] getSearchedNodes()

### getDownloadReports

    public ArtifactDownloadReport[] getDownloadReports(ModuleRevisionId mrid)

### getDependency

    public IvyNode getDependency(ModuleRevisionId mrid)

### getModuleIds

    public java.util.List getModuleIds()

  gives all the modules ids concerned by this report, from the most dependent to the least one

  Returns:
    a list of ModuleId

### getNodes

    public java.util.Collection getNodes(ModuleId mid)

### getIvy

    public Ivy getIvy()

### getArtifactsNumber

    public int getArtifactsNumber()

### getDownloadedArtifactsReports

    public ArtifactDownloadReport[] getDownloadedArtifactsReports()

### getFailedArtifactsReports

    public ArtifactDownloadReport[] getFailedArtifactsReports()

### hasError

    public boolean hasError()

### getNodesNumber

    public int getNodesNumber()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD